Add Yandex support in Production
Closed, ResolvedPublic1 Story Points

Description

Once testing of Yandex is over in Beta,

  • Prepare for support in Production (Base Puppet changes) [Preparations should be done by: 26th February, 2015]
  • Get Yandex key for Production and deploy it. [Coordinate with @akosiaris]
  • Add patch to Production and deploy it. [Coordinate with @akosiaris]
  • Deploy JWT in server (T116134)
  • Deploy JWT in client (T116134)
  • Configuration languages/MT support in cxserver config.
  • Testing.
  • Announce.
There are a very large number of changes, so older changes are hidden. Show Older Changes
Arrbee updated the task description. (Show Details)Feb 24 2015, 7:31 AM
Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-82.
Arrbee set Security to None.
Arrbee moved this task from Backlog to Blocked on the LE-Sprint-83 board.Feb 24 2015, 7:37 AM
Arrbee edited a custom field.Feb 25 2015, 5:46 AM
Arrbee moved this task from Backlog to Long term on the ContentTranslation board.Mar 5 2015, 8:21 AM
Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 10 2015, 8:48 AM
Arrbee edited a custom field.
Pginer-WMF edited a custom field.Apr 1 2015, 9:36 AM
Arrbee moved this task from Backlog to Blocked on the LE-Sprint-85 board.Apr 1 2015, 9:37 AM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:05 AM
Arrbee edited projects, added LE-Sprint-86; removed LE-Sprint-85.Apr 21 2015, 7:23 AM
Arrbee moved this task from Backlog to Blocked on the LE-Sprint-86 board.
Arrbee edited projects, added LE-Sprint-87; removed LE-Sprint-86.May 25 2015, 7:51 AM
Arrbee moved this task from Backlog to Blocked on the LE-Sprint-87 board.May 25 2015, 8:14 AM
Arrbee edited projects, added LE-Sprint-88; removed LE-Sprint-87.Jun 9 2015, 9:28 AM
Arrbee moved this task from Backlog to Blocked on the LE-Sprint-88 board.Jun 10 2015, 8:55 AM
greg added a subscriber: greg.Jun 15 2015, 3:42 PM
Sunpriat added a subscriber: Sunpriat.

Please add Yandex support for Content translation tool in ru-wiki. We need it.

KartikMistry updated the task description. (Show Details)Jun 18 2015, 1:40 PM
KartikMistry added a subscriber: akosiaris.
KartikMistry updated the task description. (Show Details)Jun 30 2015, 7:33 AM
Elitre added a subscriber: Elitre.Jul 2 2015, 3:11 PM
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:33 PM
Risker added a subscriber: Risker.Jul 2 2015, 8:18 PM
Risker removed a subscriber: Risker.Jul 29 2015, 3:20 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:47 PM
KartikMistry updated the task description. (Show Details)Oct 21 2015, 6:51 AM
KartikMistry added a project: LE-CX7-Sprint 2.
KartikMistry updated the task description. (Show Details)Oct 22 2015, 2:24 PM
KartikMistry updated the task description. (Show Details)Oct 22 2015, 2:29 PM
KartikMistry updated the task description. (Show Details)Oct 22 2015, 4:40 PM

Change 248283 had a related patch set uploaded (by KartikMistry):
config: Add English-Russian MT pair

https://gerrit.wikimedia.org/r/248283

KartikMistry edited a custom field.

Change 248283 merged by jenkins-bot:
config: Add English-Russian MT pair

https://gerrit.wikimedia.org/r/248283

Nikerabbit updated the task description. (Show Details)Oct 30 2015, 3:13 PM

Change 249967 had a related patch set uploaded (by KartikMistry):
config: Remove no-mt for en-ru

https://gerrit.wikimedia.org/r/249967

Arrbee moved this task from Backlog to In Progress on the LE-CX7-Sprint 3 board.Nov 4 2015, 6:41 AM

Change 249967 merged by jenkins-bot:
config: Remove no-mt for en-ru

https://gerrit.wikimedia.org/r/249967

it works, cool

Arrbee updated the task description. (Show Details)Nov 4 2015, 3:57 PM
KartikMistry moved this task from In Progress to QA on the LE-CX7-Sprint 3 board.Nov 5 2015, 5:20 AM
Ryuch added a subscriber: Ryuch.Nov 11 2015, 7:23 AM
Amire80 closed this task as Resolved.Nov 17 2015, 11:11 AM
Amire80 added a subscriber: Amire80.
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 3 board.Nov 18 2015, 7:09 AM